Skip to main content
GET
/
v1
/
invoices
/
{id}
Retrieve an invoice with attempts
curl --request GET \
  --url https://api.useduro.com/v1/invoices/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "subscriptionId": "<string>",
  "amount": 123,
  "currency": "<string>",
  "periodStart": "<string>",
  "periodEnd": "<string>",
  "paidAt": "<string>",
  "createdAt": "<string>",
  "attempts": [
    {
      "id": "<string>",
      "invoiceId": "<string>",
      "customerId": "<string>",
      "amount": 123,
      "failureCode": "<string>",
      "reference": "<string>",
      "createdAt": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

A secret key (sk_test_… / sk_live_…), OAuth token, or identity token.

Path Parameters

id
string
required

Response

200 - application/json

OK

id
string
subscriptionId
string
amount
integer
currency
string
status
enum<string>
Available options:
draft,
open,
paid,
uncollectible,
void
periodStart
string
periodEnd
string
paidAt
string | null
createdAt
string
attempts
object[]